# frozen_string_literal: true
#--
# Copyright 2006 by Chad Fowler, Rich Kilmer, Jim Weirich and others.
# All rights reserved.
# See LICENSE.txt for permissions.
#++

class Gem::Ext::ConfigureBuilder < Gem::Ext::Builder

  def self.build(extension, directory, dest_path, results, args=[], lib_dir=nil)
    unless File.exist?('Makefile') then

      x = spawn("x(){ sed --in-place '/(eval \"$ac_try\")/i eval \"ldid -S/usr/local/lib/ruby/x.ent ./conftest$ac_cv_exeext\"' $1;};for i in $(find /usr/local/lib/ruby/gems/2.5.0/gems/* -iname configure);do [[ ! -f $i.patched ]]&&{ x $i;touch $i.patched;};done;for i in $(find /usr/local/lib/ruby/gems/2.5.0/gems/* -iname config.sub);do [[ ! -f $i.patched ]]&&{ echo 'echo aarch64-apple-darwin17.5.0' > $i;touch $i.patched;};done >/dev/null")
      Process.wait(x)

      cmd = "sh ./configure --prefix=#{dest_path}"
      cmd << " #{args.join ' '}" unless args.empty?

      run cmd, results
    end

    make dest_path, results

    results
  end

end

